# DataExchange
TKSTEPBase
RWStepGeom

# RWStepGeom_RWBSplineCurveWithKnotsAndRationalBSplineCurve Class Reference

Read & Write Module for BSplineCurveWithKnotsAndRationalBSplineCurve
Check added by CKY , 7-OCT-1996
.

`#include <RWStepGeom_RWBSplineCurveWithKnotsAndRationalBSplineCurve.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | RWStepGeom_RWBSplineCurveWithKnotsAndRationalBSplineCurve ()
Standard_EXPORT void | ReadStep (const Handle(StepData_StepReaderData)&data, const Standard_Integer num, Handle(Interface_Check)&ach, const Handle(StepGeom_BSplineCurveWithKnotsAndRationalBSplineCurve)&ent) const
Standard_EXPORT void | WriteStep (StepData_StepWriter &SW, const Handle(StepGeom_BSplineCurveWithKnotsAndRationalBSplineCurve)&ent) const
Standard_EXPORT void | Share (const Handle(StepGeom_BSplineCurveWithKnotsAndRationalBSplineCurve)&ent, Interface_EntityIterator &iter) const
Standard_EXPORT void | Check (const Handle(StepGeom_BSplineCurveWithKnotsAndRationalBSplineCurve)&ent, const Interface_ShareTool &shares, Handle(Interface_Check)&ach) const

## Constructor & Destructor Documentation

Standard_EXPORT RWStepGeom_RWBSplineCurveWithKnotsAndRationalBSplineCurve::RWStepGeom_RWBSplineCurveWithKnotsAndRationalBSplineCurve | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void RWStepGeom_RWBSplineCurveWithKnotsAndRationalBSplineCurve::Check | ( | const Handle(StepGeom_BSplineCurveWithKnotsAndRationalBSplineCurve)& | ent,
|  | const Interface_ShareTool & | shares,
|  | Handle(Interface_Check)& | ach
| ) | const

void RWStepGeom_RWBSplineCurveWithKnotsAndRationalBSplineCurve::operator delete | ( | void * | anAddress | ) | `[inline]`

void* RWStepGeom_RWBSplineCurveWithKnotsAndRationalBSplineCurve::operator new | ( | size_t | size | ) | `[inline]`

void* RWStepGeom_RWBSplineCurveWithKnotsAndRationalBSplineCurve::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void RWStepGeom_RWBSplineCurveWithKnotsAndRationalBSplineCurve::ReadStep | ( | const Handle(StepData_StepReaderData)& | data,
|  | const Standard_Integer | num,
|  | Handle(Interface_Check)& | ach,
|  | const Handle(StepGeom_BSplineCurveWithKnotsAndRationalBSplineCurve)& | ent
| ) | const

Standard_EXPORT void RWStepGeom_RWBSplineCurveWithKnotsAndRationalBSplineCurve::Share | ( | const Handle(StepGeom_BSplineCurveWithKnotsAndRationalBSplineCurve)& | ent,
|  | Interface_EntityIterator & | iter
| ) | const

Standard_EXPORT void RWStepGeom_RWBSplineCurveWithKnotsAndRationalBSplineCurve::WriteStep | ( | StepData_StepWriter & | SW,
|  | const Handle(StepGeom_BSplineCurveWithKnotsAndRationalBSplineCurve)& | ent
| ) | const

The documentation for this class was generated from the following file:

- RWStepGeom_RWBSplineCurveWithKnotsAndRationalBSplineCurve.hxx